/*****************************************************************************
 *   acelerometro.h:
 *
 *   Copyright(C) 2014, Jesús Nicolás Jaro
 *   All rights reserved.
 *

******************************************************************************/

#ifndef _acelerometro_H_
#define _acelerometro_H_

typedef struct {
	float Lectura_X;
	float Lectura_Y;
	float Lectura_Z;
	float Procesado_X;
	float Procesado_Y;
	float Procesado_Z;
	float Angulo_X;
	float Angulo_Y;
	float Angulo_Z;
} A_Reg;




// Inicializa el Acelerometro
uint32_t Inicia_Acelerometro(int Res);

// Calibra el acelerometro
void Calibracion(int Lecturas);

// Lee los valores del acelerometro
void Read_Acelerometro (int Num_muestreo, A_Reg *Datos );


#endif // _acelerometro_H_
